@import '../../sass/variables';
@import '../../sass/mixins';

$pagePaddingTop: 20px;

#app {
    overflow: auto;
    background: linear-gradient(135deg, #281a40 0%, #212f4e 50%, #232e4f 55%, #153c3c 100%);
    font-family: $robotoFamily !important;

    @include untilBreakpoint(desktop) {
        #overlay {
            position: absolute;
            top: $menubarHeight;
            bottom: 0;
            background-color: $blackTransparent;
            right: 0;
            left: 0;
            z-index: 99;
        }
    }

    .page {
        overflow: auto;
        overflow-x: hidden;
        padding-top: $pagePaddingTop;
        height: calc(100% - #{$menubarHeight});
    }

    & > .loading-overlay, .page > .loading-overlay {
        height: calc(100% - #{$menubarHeight + $pagePaddingTop});
    }
}
